(function(f){if(typeof exports==="object"&&typeof module!=="undefined"){module.exports=f()}else if(typeof define==="function"&&define.amd){define([],f)}else{var g;if(typeof window!=="undefined"){g=window}else if(typeof global!=="undefined"){g=global}else if(typeof self!=="undefined"){g=self}else{g=this}g.revPluginExtension = f()}})(function(){var define,module,exports;return (function(){function r(e,n,t){function o(i,f){if(!n[i]){if(!e[i]){var c="function"==typeof require&&require;if(!f&&c)return c(i,!0);if(u)return u(i,!0);var a=new Error("Cannot find module '"+i+"'");throw a.code="MODULE_NOT_FOUND",a}var p=n[i]={exports:{}};e[i][0].call(p.exports,function(r){var n=e[i][1][r];return o(n||r)},p,p.exports,r,e,n,t)}return n[i].exports}for(var u="function"==typeof require&&require,i=0;i<t.length;i++)o(t[i]);return o}return r})()({1:[function(require,module,exports){

},{}],2:[function(require,module,exports){
const _  = require("lodash");
const $  = require("jquery");
const ko = require("knockout");

const settingsForm = require("./settings.pug");
const SettingsForm = require("./plugins/settingsForm");

function RevExtension (plugin)
{
    // Transcription
    const pendingTranscripts = ko.observableArray([]);
    const failedTranscripts  = ko.observableArray([]);
    
    const isCtrlsVisible = ko.observable(false);
    const isSttValid     = ko.observable(false);
    const balanceCents   = ko.observable(0);
    const isSttVisible   = ko.computed(() => {
        return isSttValid() && plugin.settings().enabled;
    });
    const accountMins = ko.computed(() => {
        return balanceCents() / 100;
    });
    
    function reloadSettings ()
    {
        plugin.services.reloadPrivatePluginSettings().then(() => {
            plugin.services.isValid().then(isSttValid);

            console.log("Reloaded Settings");
        });
    }

    function getAllOrders ()
    {
        return plugin.services.getAllOrders().then(orders => {
            console.log("Get All Orders", orders);
            return orders;
        });
    }

    function reloadPending (isRefreshRev)
    {
        return plugin.services.getPending({isRefreshRev:!!isRefreshRev}).then(pending => {
            console.log("Reloaded Pending", pending);
            return pending;
        });
    }

    function clearPending ()
    {
        return plugin.services.clearAllPending().then(cleared => {
            console.log("All pending cleared", cleared);            
            return cleared;
        });
    }

    function clearFailed ()
    {
        return plugin.services.clearAllFailed().then(cleared => {
            console.log("All failed cleared", cleared);
            return cleared;
        });
    }

    function clearNextSchedule ()
    {
        return plugin.services.clearNextScheduledRefresh().then(cleared => {
            console.log("Next sheduled refresh cleared", cleared);
            return cleared;
        });
    }

    function refreshPendingTranscripts (data)
    {
        return plugin.services.getPending({isRefreshRev: false}).then((pending) => {
            pendingTranscripts(pending);
            return data;
        });
    }

    function refreshFailedTranscripts (data)
    {
        return plugin.services.getFailed().then((failures) => {
            failedTranscripts(failures);
            return data;
        });
    }

    function clearAll ()
    {
        clearPending();
        clearFailed();
        clearNextSchedule();
    }

    function load ()
    {
        // Populate balance from Rev plugin
        plugin.services.getBalanceCents().then(balanceCents);

        plugin.services.isValid().then(isSttValid);
    }
    
    const sendForTranscriptionDialog = require("./send-for-transcription")(plugin);
    plugin.sendForTranscription = function sendForTranscription (mediaPackage)
    {
        sendForTranscriptionDialog.open(mediaPackage);
    };
    
    plugin.isSttVisible = isSttVisible;
    
    plugin.settingsForm = SettingsForm(plugin, settingsForm, [
        ["enabled", "boolean"]
    ], function (parent) {
        this.isSttVisible = isSttVisible;
        this.accountMins = accountMins;
        this.reloadSettings = reloadSettings;
        this.getAllOrders = getAllOrders;
        this.reloadPending = reloadPending;
        this.reloadPendingRev = reloadPending.bind(null, true);
        this.clearPending = clearPending;
        this.clearFailed = clearFailed;
        this.clearNextSchedule = clearNextSchedule;
        this.clearAll = clearAll;
        this.isCtrlsVisible = isCtrlsVisible;
        
        this.successMessage = null; // suppress toastr
        this.enabled.subscribe(() => {
            this.submit();
        });
    });
    
    const {uiEventSource} = require("./environment");
    
    const mediaPackageActions = {
        sendForTranscription (mediaPackage)
        {
            plugin.sendForTranscription(mediaPackage);
        },

        reloadTranscript (mediaPackage)
        {
            plugin.services.reloadTranscript({
                mediaPackageId: mediaPackage.id,
            })
            .then(() => {
                console.log.bind(console, "Transcription reloaded");

                mediaPackage.transcript(null);
            });
        },

        clearTranscript (mediaPackage)
        {
            plugin.services.clearTranscript({
                mediaPackageId: mediaPackage.id,
            })
            .then(() => {
                console.log.bind(console, "Transcription cleared");

                mediaPackage.transcript(null);
            });
        },

        clearFailed (mediaPackage)
        {
            return plugin.services.clearFailed({
                mediaPackageId: mediaPackage.id,
            })
            .then(() => {
                console.log.bind(console, "Failed cleared");
            });
        },
    };
    
    const transcriptionData      = "item().revTranscript";
    const hasTranscript          = "(" + transcriptionData + " && " + transcriptionData + ".transcript())";
    const hasFailedTranscript    = "(" + transcriptionData + " && " + transcriptionData + ".failed())";
    const isProcessingTranscript = "(" + transcriptionData + " && " + transcriptionData + ".processing())";
    
    uiEventSource.addEventListener("manage.context-menu", event => {
        attachMenuEntries(event.element, event.item, [
            {
                className: "send-for-transcription",
                label: "Send for Transcription",
                icon: "icon-action-download-logs",
                bind: "click: sendForTranscription, visible: item().hasMedia && !item().failed && $root.plugin('" + plugin.id + "').isSttVisible() && !" + hasTranscript + " && !" + isProcessingTranscript
            },
            {
                className: "reload-transcript",
                label: "Reload Transcript",
                icon: "icon-action-download-logs",
                bind: "click: reloadTranscript, visible: " + hasTranscript + " || " + hasFailedTranscript
            },
            {
                className: "clear-transcript",
                label: "Clear Transcript",
                icon: "icon-action-download-logs",
                bind: "click: clearTranscript, visible: " + hasTranscript
            },
            {
                className: "clear-failed",
                label: "Clear Failed",
                icon: "icon-action-download-logs",
                bind: "click: clearFailed, visible: " + hasFailedTranscript
            }
        ]);
        
        event.contextMenu.extend(mediaPackageActions);
    });
    
    function getTranscriptPublishing (mediaPackage)
    {
        const uploadsInProgress = _(mediaPackage.tasks()).filter(task => {
            return task.publisherId === plugin.id && task.type === "MediaPackageUploadTask";
        }).map(task => {
            mediaPackage.isTranscriptProcessing(true);
            return {
                title:    task.title,
                label:    task.title,
                failed:   false,
                progress: task.progress
            };
        }).value();

        // Add pendingTranscript if matched our mediaPackageID
        const allPendingTranscripts = _(pendingTranscripts()).filter(pending => {
            return pending.clientRef === mediaPackage.id;
        }).map(pending => {

            mediaPackage.isTranscriptProcessing(true);

            return {
                title:    "Transcript - Waiting",
                label:    "Transcript - Waiting",
                failed:   false,
                progress: ko.observable({ progress: 1 })
            };
        }).value();

        // Add failedTranscript if matched our mediaPackageID
        const allFailedTranscripts = _(failedTranscripts()).filter(failed => {
            return failed.clientRef === mediaPackage.id;
        }).map(failed => {

            mediaPackage.isTranscriptProcessing(true);
            mediaPackage.isTranscriptFailed(true);

            return {
                title:          "Transcript - Failed",
                label:          "Transcript - Failed",
                failed:         true,
                failureHeader:  "Transcript - Failed",
                failureMessage: failed.errMessage,
                retry:          function retry ()
                {
                    mediaPackageActions.clearFailed(mediaPackage)
                    .then(refreshFailedTranscripts)
                    .then(() => {
                        plugin.services.upload({
                            mediaPackageId: mediaPackage.id,
                            isVerbatim:     failed.verbatim,
                            isRush:         failed.rush,
                        });
                    });
                },
                isVerbatim:     failed.verbatim,
                isRush:         failed.rush,
                progress:       ko.observable({ progress: 1 })
            };
        }).value();

        return _(uploadsInProgress)
            .union(allPendingTranscripts)
            .union(allFailedTranscripts)
            .value();
    }
    
    function extendMediaPackage (mediaPackage)
    {
        if (mediaPackage.revTranscript)
        {
            return;
        }

        const revTranscript = {
            publishing: ko.computed(() => getTranscriptPublishing(mediaPackage))
        };

        revTranscript.transcript = ko.computed(() => mediaPackage.transcript());

        revTranscript.processing = ko.computed(() => {
            const transcriptPublishing = revTranscript.publishing()[0];
            return !!transcriptPublishing;
        });

        revTranscript.failed = ko.computed(() => {
            const transcriptPublishing = revTranscript.publishing()[0];
            return !!(transcriptPublishing && transcriptPublishing.failed);
        });

        mediaPackage.revTranscript = revTranscript;
        mediaPackage.publishing.append(revTranscript.publishing);
    }
    
    function refreshTranscriptPublishing (newMediaPackages)
    {
        return refreshPendingTranscripts()
            .then(refreshFailedTranscripts)
            .then(() => _(newMediaPackages).forEach(extendMediaPackage));
    }
    
    const {mediaPackages} = require("./manage");
    mediaPackages.subscribe(refreshTranscriptPublishing);
    load();
    return plugin;
}

module.exports = RevExtension;

},{"./environment":undefined,"./manage":undefined,"./plugins/settingsForm":undefined,"./send-for-transcription":4,"./settings.pug":5,"jquery":"jquery","knockout":"knockout","lodash":"lodash"}],3:[function(require,module,exports){
var pug = require('pug-runtime');
module.exports=template;function pug_attr(t,e,n,r){if(!1===e||null==e||!e&&("class"===t||"style"===t))return"";if(!0===e)return" "+(r?t:t+'="'+t+'"');var f=typeof e;return"object"!==f&&"function"!==f||"function"!=typeof e.toJSON||(e=e.toJSON()),"string"==typeof e||(e=JSON.stringify(e),n||-1===e.indexOf('"'))?(n&&(e=pug_escape(e))," "+t+'="'+e+'"'):" "+t+"='"+e.replace(/'/g,"&#39;")+"'"}
function pug_attrs(t,r){var a="";for(var s in t)if(pug_has_own_property.call(t,s)){var u=t[s];if("class"===s){u=pug_classes(u),a=pug_attr(s,u,!1,r)+a;continue}"style"===s&&(u=pug_style(u)),a+=pug_attr(s,u,!1,r)}return a}
function pug_classes(s,r){return Array.isArray(s)?pug_classes_array(s,r):s&&"object"==typeof s?pug_classes_object(s):s||""}
function pug_classes_array(r,a){for(var s,e="",u="",c=Array.isArray(a),g=0;g<r.length;g++)(s=pug_classes(r[g]))&&(c&&a[g]&&(s=pug_escape(s)),e=e+u+s,u=" ");return e}
function pug_classes_object(r){var a="",n="";for(var o in r)o&&r[o]&&pug_has_own_property.call(r,o)&&(a=a+n+o,n=" ");return a}
function pug_escape(e){var a=""+e,t=pug_match_html.exec(a);if(!t)return e;var r,c,n,s="";for(r=t.index,c=0;r<a.length;r++){switch(a.charCodeAt(r)){case 34:n="&quot;";break;case 38:n="&amp;";break;case 60:n="&lt;";break;case 62:n="&gt;";break;default:continue}c!==r&&(s+=a.substring(c,r)),c=r+1,s+=n}return c!==r?s+a.substring(c,r):s}
var pug_has_own_property=Object.prototype.hasOwnProperty;
var pug_match_html=/["&<>]/;
function pug_merge(e,r){if(1===arguments.length){for(var t=e[0],g=1;g<e.length;g++)t=pug_merge(t,e[g]);return t}for(var l in r)if("class"===l){var n=e[l]||[];e[l]=(Array.isArray(n)?n:[n]).concat(r[l]||[])}else if("style"===l){var n=pug_style(e[l]);n=n&&";"!==n[n.length-1]?n+";":n;var a=pug_style(r[l]);a=a&&";"!==a[a.length-1]?a+";":a,e[l]=n+a}else e[l]=r[l];return e}
function pug_rethrow(n,e,r,t){if(!(n instanceof Error))throw n;if(!("undefined"==typeof window&&e||t))throw n.message+=" on line "+r,n;try{t=t||require("fs").readFileSync(e,"utf8")}catch(e){pug_rethrow(n,null,r)}var i=3,a=t.split("\n"),o=Math.max(r-i,0),h=Math.min(a.length,r+i),i=a.slice(o,h).map(function(n,e){var t=e+o+1;return(t==r?"  > ":"    ")+t+"| "+n}).join("\n");throw n.path=e,n.message=(e||"Pug")+":"+r+"\n"+i+"\n\n"+n.message,n}
function pug_style(r){if(!r)return"";if("object"==typeof r){var t="";for(var e in r)pug_has_own_property.call(r,e)&&(t=t+e+":"+r[e]+";");return t}return r+""}function template(locals) {var pug_html = "", pug_mixins = {}, pug_interp;
;var locals_for_with = (locals || {});(function (Array, Math) {var pug_indent = [];

pug_mixins["checkbox"] = pug_interp = function(bind, id){
var block = (this && this.block), attributes = (this && this.attributes) || {};

id = id || `checkbox-${bind ? Array.prototype.map.call(bind, char => char.charCodeAt(0)).reduce((a, b, i) => a + (b * (10 * i))) : ''}-${Math.random()}`.replace(".", "")

pug_html = pug_html + "\n";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003Cdiv class=\"checkbox-wrapper\"\u003E";

pug_html = pug_html + "\n  ";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003Cinput" + (pug_attr("id", `${id}`, true, false)+" type=\"checkbox\""+pug_attr("data-bind", `${bind}`, true, false)) + "\u002F\u003E";

pug_html = pug_html + "\n  ";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003Clabel" + (" class=\"check\""+pug_attr("for", `${id}`, true, false)) + "\u003E\u003C\u002Flabel\u003E";

pug_indent.push('  ');
block && block();
pug_indent.pop();
pug_html = pug_html + "\n";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003C\u002Fdiv\u003E";
};









































pug_html = pug_html + "\n\u003Cdiv class=\"send-for-transcription\" data-bind=\"dialog: $root\"\u003E";

pug_html = pug_html + "\n  \u003Cdiv class=\"modal-dialog inner-dialog\"\u003E";

pug_html = pug_html + "\n    \u003Ch2 class=\"heading\" data-bind=\"text: mediaPackage().title\"\u003E\u003C\u002Fh2\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"close icon-close-white\" data-bind=\"click: close\"\u003E\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Ch3\u003E";

pug_html = pug_html + "Sent this recording for transcription?\u003C\u002Fh3\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"control\"\u003E";

pug_html = pug_html + "\n      \u003Clabel\u003E";

pug_html = pug_html + "Include rush delivery (which is up to 10x faster)\u003C\u002Flabel\u003E";

pug_indent.push('      ');
pug_mixins["checkbox"]("checked: isIncludeRush");
pug_indent.pop();
pug_html = pug_html + "\n    \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Ch3 class=\"table-label\"\u003E";

pug_html = pug_html + "Purchase\u003C\u002Fh3\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"info\"\u003E";

pug_html = pug_html + "\n      \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n        \u003Cdiv class=\"amount\" data-bind=\"text: accountMins()\"\u003E\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n        \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "Minutes remaining in account\u003C\u002Fdiv\u003E\n      \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n      \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n        \u003Cdiv class=\"amount\" data-bind=\"text: costMins()\"\u003E\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n        \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "Minutes deducted from remaining\u003C\u002Fdiv\u003E\n      \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n      \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n        \u003Cdiv class=\"amount\" data-bind=\"text: remaining()\"\u003E\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n        \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "Balance remaining\u003C\u002Fdiv\u003E\n      \u003C\u002Fdiv\u003E\n    \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"contact\" data-bind=\"visible: remaining() &lt; 0\"\u003E";

pug_html = pug_html + "\n      \u003Cp\u003E";

pug_html = pug_html + "Not enough in your account balance.\u003C\u002Fp\u003E";

pug_html = pug_html + "\n      \u003Cp\u003E";

pug_html = pug_html + "Order more minutes by calling Cattura at:\u003C\u002Fp\u003E";

pug_html = pug_html + "\u003Cspan class=\"phone-number\"\u003E";

pug_html = pug_html + "(800) 417-3230 9-6 M-F Central\u003C\u002Fspan\u003E\n    \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"dialog-buttons\" data-bind=\"visible: remaining() &gt;= 0\"\u003E";

pug_html = pug_html + "\n      \u003Cbutton class=\"btn submit-button\" data-bind=\"click: submit\"\u003E";

pug_html = pug_html + "Send for Transcription\u003C\u002Fbutton\u003E\n    \u003C\u002Fdiv\u003E\n  \u003C\u002Fdiv\u003E\n\u003C\u002Fdiv\u003E";}.call(this,"Array" in locals_for_with?locals_for_with.Array:typeof Array!=="undefined"?Array:undefined,"Math" in locals_for_with?locals_for_with.Math:typeof Math!=="undefined"?Math:undefined));return pug_html;}

},{"fs":1,"pug-runtime":"pug-runtime"}],4:[function(require,module,exports){
const ko = require("knockout");

const Dialog = require("cattura-ui-library/src/lib/ui/dialog");
const {apiv1} = require("./api");

const template = require("./content.pug");

const NO_RECORDING = {title: "No Media Package"};

// Observables
const currentRecording = ko.observable(NO_RECORDING);

const isIncludeVerbatim = ko.observable(false);
const isIncludeRush     = ko.observable(false);

const balanceCents = ko.observable(0);
const accountMins = ko.computed(() => {
  return balanceCents() / 100;
});

const durationSec = ko.observable();
const durationFmt = ko.observable();

const costMins = ko.computed(() => {
  const mins       = durationSec() / 60;
  const costPerMin = (isIncludeRush() ? 2 : 1) + (isIncludeVerbatim() ? 0.25 : 0);

  return Math.ceil(mins * costPerMin);
});

const remaining = ko.computed(() => {
  return accountMins() - costMins();
});

function makeDialog (plugin)
{
    return Dialog({
        open (mediaPackage)
        {
            // Populate balance from Rev plugin
            plugin.services.getBalanceCents().then(balanceCents);

            // Update media package
            currentRecording(mediaPackage);

            const ms  = mediaPackage.duration._milliseconds;
            durationSec(ms / 1000 + 1);
            durationFmt(new Date(ms).toISOString().substr(11, 8));

            this.show();
        },

        close ()
        {
            this.hide();

            currentRecording(NO_RECORDING);
        },

        submit ()
        {
            // Get required props
            const mediaPkgId = currentRecording().id;

            // Close b/c we're now going to upload and don't want to block UI
            this.hide();

            currentRecording(NO_RECORDING);

            // Begin upload
            plugin.services.upload({
                mediaPackageId: mediaPkgId,
                isRush:         isIncludeRush(),
                isVerbatim:     isIncludeVerbatim(),
            })
            .catch(error => {
                // TODO: Handle failed to upload
            });
        },

        isIncludeRush: isIncludeRush,
        accountMins: accountMins,
        durationSec: durationSec,
        durationFmt: durationFmt,
        costMins: costMins,
        remaining: remaining,
        mediaPackage: currentRecording
    }, {
        template: template
    });
}

module.exports = makeDialog;

},{"./api":undefined,"./content.pug":3,"cattura-ui-library/src/lib/ui/dialog":"cattura-ui-library/src/lib/ui/dialog","knockout":"knockout"}],5:[function(require,module,exports){
var pug = require('pug-runtime');
module.exports=template;function pug_attr(t,e,n,r){if(!1===e||null==e||!e&&("class"===t||"style"===t))return"";if(!0===e)return" "+(r?t:t+'="'+t+'"');var f=typeof e;return"object"!==f&&"function"!==f||"function"!=typeof e.toJSON||(e=e.toJSON()),"string"==typeof e||(e=JSON.stringify(e),n||-1===e.indexOf('"'))?(n&&(e=pug_escape(e))," "+t+'="'+e+'"'):" "+t+"='"+e.replace(/'/g,"&#39;")+"'"}
function pug_attrs(t,r){var a="";for(var s in t)if(pug_has_own_property.call(t,s)){var u=t[s];if("class"===s){u=pug_classes(u),a=pug_attr(s,u,!1,r)+a;continue}"style"===s&&(u=pug_style(u)),a+=pug_attr(s,u,!1,r)}return a}
function pug_classes(s,r){return Array.isArray(s)?pug_classes_array(s,r):s&&"object"==typeof s?pug_classes_object(s):s||""}
function pug_classes_array(r,a){for(var s,e="",u="",c=Array.isArray(a),g=0;g<r.length;g++)(s=pug_classes(r[g]))&&(c&&a[g]&&(s=pug_escape(s)),e=e+u+s,u=" ");return e}
function pug_classes_object(r){var a="",n="";for(var o in r)o&&r[o]&&pug_has_own_property.call(r,o)&&(a=a+n+o,n=" ");return a}
function pug_escape(e){var a=""+e,t=pug_match_html.exec(a);if(!t)return e;var r,c,n,s="";for(r=t.index,c=0;r<a.length;r++){switch(a.charCodeAt(r)){case 34:n="&quot;";break;case 38:n="&amp;";break;case 60:n="&lt;";break;case 62:n="&gt;";break;default:continue}c!==r&&(s+=a.substring(c,r)),c=r+1,s+=n}return c!==r?s+a.substring(c,r):s}
var pug_has_own_property=Object.prototype.hasOwnProperty;
var pug_match_html=/["&<>]/;
function pug_merge(e,r){if(1===arguments.length){for(var t=e[0],g=1;g<e.length;g++)t=pug_merge(t,e[g]);return t}for(var l in r)if("class"===l){var n=e[l]||[];e[l]=(Array.isArray(n)?n:[n]).concat(r[l]||[])}else if("style"===l){var n=pug_style(e[l]);n=n&&";"!==n[n.length-1]?n+";":n;var a=pug_style(r[l]);a=a&&";"!==a[a.length-1]?a+";":a,e[l]=n+a}else e[l]=r[l];return e}
function pug_rethrow(n,e,r,t){if(!(n instanceof Error))throw n;if(!("undefined"==typeof window&&e||t))throw n.message+=" on line "+r,n;try{t=t||require("fs").readFileSync(e,"utf8")}catch(e){pug_rethrow(n,null,r)}var i=3,a=t.split("\n"),o=Math.max(r-i,0),h=Math.min(a.length,r+i),i=a.slice(o,h).map(function(n,e){var t=e+o+1;return(t==r?"  > ":"    ")+t+"| "+n}).join("\n");throw n.path=e,n.message=(e||"Pug")+":"+r+"\n"+i+"\n\n"+n.message,n}
function pug_style(r){if(!r)return"";if("object"==typeof r){var t="";for(var e in r)pug_has_own_property.call(r,e)&&(t=t+e+":"+r[e]+";");return t}return r+""}function template(locals) {var pug_html = "", pug_mixins = {}, pug_interp;
;var locals_for_with = (locals || {});(function (Array, Math) {var pug_indent = [];

pug_mixins["checkbox"] = pug_interp = function(bind, id){
var block = (this && this.block), attributes = (this && this.attributes) || {};

id = id || `checkbox-${bind ? Array.prototype.map.call(bind, char => char.charCodeAt(0)).reduce((a, b, i) => a + (b * (10 * i))) : ''}-${Math.random()}`.replace(".", "")

pug_html = pug_html + "\n";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003Cdiv class=\"checkbox-wrapper\"\u003E";

pug_html = pug_html + "\n  ";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003Cinput" + (pug_attr("id", `${id}`, true, false)+" type=\"checkbox\""+pug_attr("data-bind", `${bind}`, true, false)) + "\u002F\u003E";

pug_html = pug_html + "\n  ";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003Clabel" + (" class=\"check\""+pug_attr("for", `${id}`, true, false)) + "\u003E\u003C\u002Flabel\u003E";

pug_indent.push('  ');
block && block();
pug_indent.pop();
pug_html = pug_html + "\n";
pug_html = pug_html + pug_indent.join("");
pug_html = pug_html + "\u003C\u002Fdiv\u003E";
};









































pug_html = pug_html + "\n\u003Ch2\u003E";

pug_html = pug_html + "Speech to Text Settings\u003C\u002Fh2\u003E";

pug_html = pug_html + "\u003Cspan\u003E\u003C\u002Fspan\u003E";

pug_html = pug_html + "Allow users to transm";

pug_html = pug_html + "\u003Cspan data-bind=\"click: function (data, ev) {isCtrlsVisible(!isCtrlsVisible())}\"\u003E";

pug_html = pug_html + "it\u003C\u002Fspan\u003E";

pug_html = pug_html + " recordings for transcription";

pug_html = pug_html + "\n\u003Cdiv class=\"control\"\u003E";

pug_html = pug_html + "\n  \u003Clabel\u003E";

pug_html = pug_html + "Enable Speech to Text\u003C\u002Flabel\u003E";

pug_indent.push('  ');
pug_mixins["checkbox"]("checked: enabled");
pug_indent.pop();
pug_html = pug_html + "\n\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n\u003C!-- Your account--\u003E";

pug_html = pug_html + "\n\u003Ch3 class=\"table-label\" data-bind=\"visible: enabled\"\u003E";

pug_html = pug_html + "Account\u003C\u002Fh3\u003E";

pug_html = pug_html + "\n\u003Cdiv class=\"info\" data-bind=\"visible: enabled\"\u003E";

pug_html = pug_html + "\n  \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"amount\" data-bind=\"text: accountMins()\"\u003E\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "Remaining minutes\u003C\u002Fdiv\u003E\n  \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n  \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"amount\" data-bind=\"text: Math.floor(accountMins() \u002F 2)\"\u003E\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "Minutes left with rush delivery\u003C\u002Fdiv\u003E\n  \u003C\u002Fdiv\u003E\n\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n\u003C!-- Buy more--\u003E";

pug_html = pug_html + "\n\u003C!-- Info about turnaround time--\u003E";

pug_html = pug_html + "\n\u003Ch3 class=\"table-label\" data-bind=\"visible: enabled\"\u003E";

pug_html = pug_html + "Average Turnaround (w\u002Fo rush)\u003C\u002Fh3\u003E";

pug_html = pug_html + "\n\u003Cdiv class=\"info\" data-bind=\"visible: enabled\"\u003E";

pug_html = pug_html + "\n  \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"amount\"\u003E";

pug_html = pug_html + "0 - 5 min\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "1 hour\u003C\u002Fdiv\u003E\n  \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n  \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"amount\"\u003E";

pug_html = pug_html + "5 - 10 min\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "3 hours\u003C\u002Fdiv\u003E\n  \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n  \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"amount\"\u003E";

pug_html = pug_html + "10 - 30 min\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "8 hours\u003C\u002Fdiv\u003E\n  \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n  \u003Cdiv class=\"row\"\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"amount\"\u003E";

pug_html = pug_html + "30 - 60 min\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n    \u003Cdiv class=\"msg\"\u003E";

pug_html = pug_html + "21 hours\u003C\u002Fdiv\u003E\n  \u003C\u002Fdiv\u003E\n\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n\u003Cdiv class=\"contact\" data-bind=\"visible: enabled\"\u003E";

pug_html = pug_html + "\n  \u003Cp\u003E";

pug_html = pug_html + "Order more minutes by calling Cattura at: \u003C\u002Fp\u003E";

pug_html = pug_html + "\u003Cspan class=\"phone-number\"\u003E";

pug_html = pug_html + "(800) 417-3230 9-6 M-F Central\u003C\u002Fspan\u003E\n\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n\u003Cdiv class=\"ctrls\" data-bind=\"visible: isCtrlsVisible\"\u003E";

pug_html = pug_html + "\n  \u003Cdiv\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"reload-settings-button\" data-bind=\"click: reloadSettings\"\u003E";

pug_html = pug_html + "Reload Private Settings\u003C\u002Fbutton\u003E\n  \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n  \u003Cdiv\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"reload-pending-button\" data-bind=\"click: reloadPending\"\u003E";

pug_html = pug_html + "Reload Pending\u003C\u002Fbutton\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"reload-pending-rev-button\" data-bind=\"click: reloadPendingRev\"\u003E";

pug_html = pug_html + "Reload Pending (w\u002F Rev)\u003C\u002Fbutton\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"reload-pending-button\" data-bind=\"click: getAllOrders\"\u003E";

pug_html = pug_html + "Log all Rev orders\u003C\u002Fbutton\u003E\n  \u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n  \u003Cdiv\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"clear-pending-button\" data-bind=\"click: clearPending\"\u003E";

pug_html = pug_html + "Clear Pending\u003C\u002Fbutton\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"clear-pending-button\" data-bind=\"click: clearFailed\"\u003E";

pug_html = pug_html + "Clear Failed\u003C\u002Fbutton\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"clear-pending-button\" data-bind=\"click: clearNextSchedule\"\u003E";

pug_html = pug_html + "Clear Next Scheduled\u003C\u002Fbutton\u003E";

pug_html = pug_html + "\n    \u003Cbutton class=\"clear-pending-button\" data-bind=\"click: clearAll\"\u003E";

pug_html = pug_html + "Clear All\u003C\u002Fbutton\u003E\n  \u003C\u002Fdiv\u003E\n\u003C\u002Fdiv\u003E";

pug_html = pug_html + "\n\u003Cdiv class=\"dialog-buttons\" data-bind=\"visible: false &amp;&amp; enabled\"\u003E";

pug_html = pug_html + "\n  \u003Cbutton class=\"save-button\" data-bind=\"click: submit\"\u003E";

pug_html = pug_html + "Refresh\u003C\u002Fbutton\u003E\n\u003C\u002Fdiv\u003E";}.call(this,"Array" in locals_for_with?locals_for_with.Array:typeof Array!=="undefined"?Array:undefined,"Math" in locals_for_with?locals_for_with.Math:typeof Math!=="undefined"?Math:undefined));return pug_html;}

},{"fs":1,"pug-runtime":"pug-runtime"}]},{},[2])(2)
});
